Subject: RE: [spring] WGLC - draft-ietf-spring-srv6-network-programming (off-topic)

From: S Moonesamy <[email-masked]>
Date: Sun, 01 Mar 2020 12:36:20 -0800

Hi Andrew,

[Cc to ietf@]

I'll disclose that I am also affiliated with a 
RIR.  I am copying this message to the 
Responsible Area Director [1] for the SPRING Working Group.

At 01:17 AM 01-03-2020, Andrew Alston wrote:
>While some on this list have made references to 
>Bruno’s integrity – let me start by saying – I 
>make no comment on anyone’s integrity – because 
>I don’t know Mr. Decraene well enough to comment 
>on that, and because I find an individual’s 
>integrity in a discussion about if a potential 
>conflict exists to be irrelevant. When people 
>recuse for conflict in any normal environment, 
>it is not because they will act on the conflict 
>necessarily, it is because of perception, 
>because it can taint the issue under discussion, 
>and it leaves the process open to both attack and appeal.

My question was about the process and the role 
with respect to 
draft-ietf-spring-srv6-network-programming.  I am 
not personally acquainted with Mr. Decraene to 
comment about his integrity.  It has been pointed 
out to me that the person is well-known.  I don't 
see what that has to do with the question which I asked.

There is a message at 
https://mailarchive.ietf.org/arch/msg/spring/3zbi71sjcJ8KaFgVIrF2Ymx4GC8/ 
which lists the Responsible Area Director as a 
Contributor.  In my opinion, the procedural 
aspects are problematic.  I commented about a 
somewhat similar topic previously [2].  From what 
I understand, RFC 2026 is applicable for all 
documents coming out of the IETF 
Stream.  According to that RFC, the "procedures 
are explicitly aimed at recognizing and adopting 
generally-accepted practices".  One of the 
definitions in RFC 7776 is: "A conflict of 
interest may arise if someone involved in the 
process of handling a harassment report is in the 
role of Reporter, Respondent, or 
Subject.  Furthermore, a conflict of interest 
arises if the person involved in the process of 
handling a harassment report is closely 
associated personally or through affiliation with 
any of the Reporter, Respondent, or 
Subject".  The general practice, in such a 
situation, is recusal.  I'll invite the 
Responsible Area Director to comment about 
whether there should be an exception to that practice and the rationale for it.

Regards,
S. Moonesamy

1. https://datatracker.ietf.org/wg/spring/about/
2. https://mailarchive.ietf.org/arch/msg/ietf/xBjDAIM4hdnSTyxL7QHlbiFX3eE/

---

From: Robert Raszuk <[email-masked]>
Date: Mon, 2 Mar 2020 00:02:13 +0100

Exception ? As far as I see it this is rather a norm in multiple WGs across
IETF for chair to co-author or contribute to his area of focus. And there
is absolutely nothing wrong with it. In fact it is expected for chair to
read the draft  and comment othen resulting in becoming a contributor or at
least being added to the Ack section.

If this saga continues any further I recommend we start first by obsoleting
RFC8200 too. After all it's main author Bob Hinden was also a 6man chair
who requested publication of 2460bis:

2016-12-02
2016-12-02 17:06:39 -0800
08 Bob Hinden IETF WG state changed to Submitted to IESG for Publication from
WG Consensus: Waiting for Write-Up

2016-12-02
08 Bob Hinden IESG state changed to Publication Requested

2016-12-02
08 Bob Hinden IESG process started in state Publication Requested

2016-11-30
08 Bob Hinden Changed document writeup

2016-11-15
08 Bob Hinden New version available: draft-ietf-6man-rfc2460bis-08.txt

---

From: "Zafar Ali (zali)" <[email-masked]>
Date: Mon, 2 Mar 2020 06:01:26 +0000

All,

In addition, there is a misunderstanding here.

The draft-ietf-spring-srv6-network-programming LC is being handled by Martin Vigoureux, as stated by Martin in the following:
https://mailarchive.ietf.org/arch/msg/spring/w6VJzDYTVRFWOtvHuMso-kkiBXk/

Martin is neither a co-author nor a contributor to the draft.

Furthermore, since IETF106, Spring WG has only one active chair, as stated by Martin in the above email.

A copy of Martin’s email is cut-and-pasted for quicker reference:

----
Date: Wed, 26 Feb 2020 12:55:24 -0000
WG,

Bruno has been managing SPRING alone since after IETF 106, because Rob
has been unable to act as chair. I have made several attempts to find a
solution and I now have serious hopes for the situation to return back
to normal soon.

Bruno being involved in the draft currently in WG LC, I will handle
closing it.

Martin

---

Thanks

Regards … Zafar

From: spring <[email-masked]> on behalf of Robert Raszuk <[email-masked]>
Date: Sunday, March 1, 2020 at 6:03 PM
To: S Moonesamy <[email-masked]>
Cc: SPRING WG <[email-masked]>, IETF <[email-masked]>, Andrew Alston <[email-masked]>
Subject: Re: [spring] WGLC - draft-ietf-spring-srv6-network-programming (off-topic)

Exception ? As far as I see it this is rather a norm in multiple WGs across IETF for chair to co-author or contribute to his area of focus. And there is absolutely nothing wrong with it. In fact it is expected for chair to read the draft  and comment othen resulting in becoming a contributor or at least being added to the Ack section.

If this saga continues any further I recommend we start first by obsoleting RFC8200 too. After all it's main author Bob Hinden was also a 6man chair who requested publication of 2460bis:

2016-12-02
2016-12-02 17:06:39 -0800
08
Bob Hinden
IETF WG state changed to Submitted to IESG for Publication from WG Consensus: Waiting for Write-Up
2016-12-02
08
Bob Hinden
IESG state changed to Publication Requested
2016-12-02
08
Bob Hinden
IESG process started in state Publication Requested
2016-11-30
08
Bob Hinden
Changed document writeup
2016-11-15
08
Bob Hinden
New version available: draft-ietf-6man-rfc2460bis-08.txt

On Sun, Mar 1, 2020 at 9:38 PM S Moonesamy <[email-masked]<mailto:[email-masked]>> wrote:
Hi Andrew,

[Cc to ietf@]

There is a message at

Regards,
S. Moonesamy

---

From: <[email-masked]>
Date: Mon, 2 Mar 2020 14:00:00 +0000

S. Moonesamy,

Please see inline
 
> 
> -----Original Message-----
> From: spring [mailto:[email-masked]] On Behalf Of S Moonesamy
> Sent: Sunday, March 1, 2020 9:36 PM
> To: Andrew Alston; [email-masked]
> Cc: [email-masked]; Martin Vigoureux
> >Bruno's integrity - let me start by saying - I 
> >make no comment on anyone's integrity - because 
> >I don't know Mr. Decraene well enough to comment 
> >on that, and because I find an individual's 

As stated twice on the list, by both by Martin and myself, the decision will be taken by Martin, not me:

> From: Martin Vigoureux
> Bruno being involved in the draft currently in WG LC, I will handle closing it.

> From: [email-masked]
> I've discussed this with our AD (Martin) and he agreed to make the formal decision to send the document to the next level. Thank you Martin.
https://mailarchive.ietf.org/arch/msg/spring/or8086G4iYfee5_Icw4PnhkPLBo/

--Bruno

> _______________________________________________
> spring mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/spring

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: Fernando Gont <[email-masked]>
Date: Mon, 2 Mar 2020 17:22:55 -0300

Martin,

As an Area Director, what are your thoughts regarding Bruno's claim that 
this working group (Spring) doesn't have the necessary skills for 
evaluating the need of a functionality (PSP) that this wg is including 
in draft-ietf-spring-srv6-network-programming?

Specifically, Bruno has noted (in 
https://mailarchive.ietf.org/arch/msg/spring/or8086G4iYfee5_Icw4PnhkPLBo/):

---- cut here ----
Independently of RFC 8200, the question has been raised with regards to 
the benefit of PSP.
My take is that PSP is an optional data plane optimization. Judging its 
level of usefulness is very hardware and implementation dependent. It 
may range anywhere from "not needed" to "required for my platform" 
(deployed if you are network operator, or been sold if you are a 
vendor), with possible intermediate points along "n% packet processing 
gain", or "required when combined with a specific other feature". I 
don't think that the SPRING WG can really evaluate this point (lack of 
hardware knowledge, lack of detailed information on the hardwares).
---- cut here ----

Doesn't this sound a bit like a group is shipping something that it 
cannot really understand?

Thanks,
Fernando

On 2/3/20 15:53, Martin Vigoureux wrote:
> WG,
> 
> as I had indicated in a previous message I am the one evaluating 
> consensus for this WG LC.
> 
> I have carefully read the discussions on the list. I acknowledge that 
> disagreements were expressed regarding what a particular piece of text 
> of RFC 8200 says, and on which this document builds to propose an 
> optional capability. Since RFC 8200 is not a product of the SPRING WG, I 
> have paid specific attention to the messages ([1], [2], and [3]) sent by 
> the responsible AD of 6MAN and of RFC8200.
> 
> My overall conclusion is that there is support and rough consensus to 
> move this document to the next stage.
> 
> Bruno will handle the immediate next steps.
> 
> 
> Martin
> 
> 
> [1] 
> https://mailarchive.ietf.org/arch/msg/spring/67ZG76XRezPXilsP3x339rGpcso/
> [2] 
> https://mailarchive.ietf.org/arch/msg/spring/plidxjZFBnd4_mEzGsLC76FZmQ0/
> [3] 
> https://mailarchive.ietf.org/arch/msg/spring/uBYpxPyyBY6bb86Y2iCh3jSIKBc/
> 
> Le 2019-12-05 à 18:15, [email-masked] a écrit :
>> Hello SPRING,
>>
>> This email starts a two weeks Working Group Last Call on 
>> draft-ietf-spring-srv6-network-programming [1].
>>
>> Please read this document if you haven't read the most recent version, 
>> and send your comments to the SPRING WG list, no later than December 20.
>>
>> You may copy the 6MAN WG for IPv6 related comment, but consider not 
>> duplicating emails on the 6MAN mailing list for the comments which are 
>> only spring specifics.
>>
>> If you are raising a point which you expect will be specifically 
>> debated on the mailing list, consider using a specific email/thread 
>> for this point.
>>
>> This may help avoiding that the thread become specific to this point 
>> and that other points get forgotten (or that the thread get converted 
>> into parallel independent discussions)
>>
>> Thank you,
>>
>> Bruno
>>
>> [1] 
>> https://tools.ietf.org/html/draft-ietf-spring-srv6-network-programming-05
>>
>> Ce message et ses pieces jointes peuvent contenir des informations 
>> confidentielles ou privilegiees et ne doivent donc
>> pas etre diffuses, exploites ou copies sans autorisation. Si vous avez 
>> recu ce message par erreur, veuillez le signaler
>> a l'expediteur et le detruire ainsi que les pieces jointes. Les 
>> messages electroniques etant susceptibles d'alteration,
>> This message and its attachments may contain confidential or 
>> privileged information that may be protected by law;
> .

-- 
Fernando Gont
e-mail: [email-masked] || [email-masked]
PGP Fingerprint: 7809 84F5 322E 45C7 F1C9 3945 96EE A9EF D076 FFF1

---

From: S Moonesamy <[email-masked]>
Date: Mon, 02 Mar 2020 19:09:35 -0800

Dear Zafar,
At 10:01 PM 01-03-2020, Zafar Ali (zali) wrote:
>A copy of Martin's email is cut-and-pasted for quicker reference:

There is an email at 
https://mailarchive.ietf.org/arch/msg/spring/c_pEmX92LmgokljYGlXxiZwarHU/ 
The information about the working group roles is confusing.  On one 
hand, it has been mentioned that "only one active chair" and on the 
other hand there are three persons listed as "must be present" (two 
Working Group Chairs).

Please see the content at 
https://mailarchive.ietf.org/arch/msg/spring/N5j4CZAbTtjtzffvi7DbjVVfU3M/ 
There is an IESG item about: "work on some mechanism to obtain wider 
or private feedback from people who are disenfranchised; anonymous 
flagging of offensive emails to inform leadership; more opportunities 
for private feedback".

Regards,
S. Moonesamy

---

From: <[email-masked]>
Date: Tue, 3 Mar 2020 15:49:17 +0000

Fernando 

> From: spring [mailto:[email-masked]] On Behalf Of Fernando Gont
> Sent: Monday, March 2, 2020 9:23 PM
> To: Martin Vigoureux; [email-masked]
> Cc: [email-masked]; [email-masked]'; draft-ietf-spring-srv6-network-programming
> Subject: Re: [spring] WGLC - draft-ietf-spring-srv6-network-programming
> 
> Martin,
> 

There have been replied and statement from the WG. E.g. From Dan (network operator) & Jingrong (vendor).
https://mailarchive.ietf.org/arch/msg/spring/ErcErN39RIlzkL5SKNVAeEWpnAI/

My comment is that a statement such as "(1) reduce the load of final destination.", while true in general, is difficult to evaluate, e.g. in term of packet processing gain, or NPU processing resource gain.
One can say "not on my hardware", but nobody can say "not in your hardware".

And I think that this is along Joel reply (although I would not want to speak for Joel)
"Do you have any comments on what appears to be the significant increase 
in complexity on the device performing PSP?  The question I am trying to 
get at is about the tradeoff, which needs one to evaluate both sides."
https://mailarchive.ietf.org/arch/msg/spring/CMSX7ijacRdG8qHlla61ylJNggo/

So in the end, what we have is the statement "(1) reduce the load of final destination.".

Thanks,
--Bruno

---

From: S Moonesamy <[email-masked]>
Date: Tue, 03 Mar 2020 10:49:05 -0800

Dear IETF Chair,

During a Working Group discussion in SPRING, I asked a 
process-related question to the Working Group Chairs.  I received a 
response to discourage me from pursing the process-related matter.  I 
could have raised the matter with the Responsible Area Director for 
SPRING.  However, the other issue(s) in that Working Group does not 
make it conducive for me to do that.

Could you please look into the matter?

Regards,
S. Moonesamy

---

From: Fernando Gont <[email-masked]>
Date: Tue, 3 Mar 2020 19:58:52 -0300

> https://mailarchive.ietf.org/arch/msg/spring/ErcErN39RIlzkL5SKNVAeEWpnAI/

The motivation should be in the draft, not in the mail archive. And you 
declared consensus on a document that does not include such motivation.

> https://mailarchive.ietf.org/arch/msg/spring/CMSX7ijacRdG8qHlla61ylJNggo/

You have to justify the included behavior, not the other way around:

Thanks,
-- 
Fernando Gont
SI6 Networks
e-mail: [email-masked]
PGP Fingerprint: 6666 31C6 D484 63B2 8FB1 E3C4 AE25 0D55 1D4E 7492

---

From: Fernando Gont <[email-masked]>
Date: Wed, 4 Mar 2020 21:14:48 -0300

Martin,

On 4/3/20 18:02, Martin Vigoureux wrote:
> WG,
> 
> I wanted to bring more context to my decision.
> 
> This document has received a lot of valuable reviews and comments which 
> improved it. That served me as a base to determine consensus on the 
> overall document.
> 
> The point I'd like to insist on is the one I was mentioning in my 
> previous e-mail. In my view, the remaining prominent discussion (and 
> tension) point was about the text of 8200, its implications on the 
> optional PSP capability, and the ramifications of it.
> I have determined there is rough consensus, in SPRING, on the way to 
> read the specific text of 8200, but also that certain aspects go beyond 
> SPRING and would benefit from being discussed with a wider community.
> 
> 
> I'd like to remind that this was a WG Chair level decision. Indeed, 
> Bruno still needs to produce the shepherd write-up and submit the 
> document for publication.

May I ask what's the status of this I-D?  -

On one hand, both Bruno and you declared consensus to move it forward. 
On another hand, the authors keep making changes to address comments 
(good) so what the wg will ship will be very different from the document 
on which you claimed consensus. Besides, the datatracker lists the 
document as "in WGLC", as opposed to "Waiting for WG Chair Go-Ahead" or 
"WG Consensus: Waiting for Write-Up".

Last, but not least, are you planning to do a second WGLC?

Thanks,

---

From: "Pengshuping (Peng Shuping)" <[email-masked]>
Date: Thu, 5 Mar 2020 07:51:26 +0000

Hi Fernando,

My understanding on the Consensus expressed by Martin is that the SPRING WG has reached consensus on the direction of progressing this draft including what to improve in the draft and how to improve. What was left is just to update the text.

Now a new version of the draft has been posted with the new text based on the suggestions posted over the mailing list. You could have a further review and see whether you have any comments.

Best regards,
Shuping

-----Original Message-----
From: spring [mailto:[email-masked]] On Behalf Of Fernando Gont
Sent: Thursday, March 5, 2020 8:15 AM
To: Martin Vigoureux <[email-masked]>; [email-masked]
Cc: [email-masked]' <[email-masked]>
Subject: Re: [spring] WGLC - draft-ietf-spring-srv6-network-programming

Martin,

On 4/3/20 18:02, Martin Vigoureux wrote:
> This document has received a lot of valuable reviews and comments 
> which improved it. That served me as a base to determine consensus on 
> the overall document.
> 
> read the specific text of 8200, but also that certain aspects go 
> beyond SPRING and would benefit from being discussed with a wider community.
> 
> 

On one hand, both Bruno and you declared consensus to move it forward. 
On another hand, the authors keep making changes to address comments
(good) so what the wg will ship will be very different from the document on which you claimed consensus. Besides, the datatracker lists the document as "in WGLC", as opposed to "Waiting for WG Chair Go-Ahead" or "WG Consensus: Waiting for Write-Up".

Thanks,
--
Fernando Gont
e-mail: [email-masked] || [email-masked] PGP Fingerprint: 7809 84F5 322E 45C7 F1C9 3945 96EE A9EF D076 FFF1